﻿// Copyright (c) 2020 Tudor Stanciu

using System.Collections.Generic;
using Tuitio.Domain.Entities;

namespace Tuitio.Application.Extensions
{
    internal static class EntityConversions
    {
        public static Dictionary<string, string> ToDictionary(this ICollection<UserClaim> claims)
        {
            if (claims == null)
                return null;

            var result = new Dictionary<string, string>();
            foreach (var claim in claims)
                result.Add(claim.ClaimKey, claim.ClaimValue);

            return result;
        }
    }
}
