if not exists (select top 1 1 from sys.objects where name = 'UserGroup' and type = 'U')
begin
	create table UserGroup
	(
		UserGroupId int identity(1, 1) constraint PK_UserGroup primary key,
		UserGroupCode varchar(30) not null,
		UserGroupName varchar(50) not null
	)
end

if not exists (select top 1 1 from UserGroup)
begin
	insert into UserGroup(UserGroupCode, UserGroupName)
	values ('ADMINISTRATORS', 'Administrators'),
           ('USERS', 'Users'),
           ('DEVELOPERS', 'Developers'),
           ('VIEWERS', 'Viewers'),
           ('GUESTS', 'Guests')
end