
declare @admin_group_id int, @admin_role_id int

select @admin_group_id = UserGroupId from UserGroup where UserGroupCode = 'ADMINISTRATORS'
select @admin_role_id = UserRoleId from UserRole where UserRoleCode = 'SYSTEM_ADMINISTRATOR'

if not exists (select top 1 1 from UserGroupXUserRole where UserGroupId = @admin_group_id and UserRoleId = @admin_role_id)
begin
	insert into UserGroupXUserRole (UserGroupId, UserRoleId)
	values (@admin_group_id, @admin_role_id)
end


declare @developer_group_id int, @developer_role_id int

select @developer_group_id = UserGroupId from UserGroup where UserGroupCode = 'DEVELOPERS'
select @developer_role_id = UserRoleId from UserRole where UserRoleCode = 'FULLSTACK_DEVELOPER'

if not exists (select top 1 1 from UserGroupXUserRole where UserGroupId = @developer_group_id and UserRoleId = @developer_role_id)
begin
	insert into UserGroupXUserRole (UserGroupId, UserRoleId)
	values (@developer_group_id, @developer_role_id)
end


declare @user_group_id int, @user_role_id int

select @user_group_id = UserGroupId from UserGroup where UserGroupCode = 'USERS'
select @user_role_id = UserRoleId from UserRole where UserRoleCode = 'REGULAR_USER'

if not exists (select top 1 1 from UserGroupXUserRole where UserGroupId = @user_group_id and UserRoleId = @user_role_id)
begin
	insert into UserGroupXUserRole (UserGroupId, UserRoleId)
	values (@user_group_id, @user_role_id)
end


declare @viewer_group_id int, @viewer_role_id int

select @viewer_group_id = UserGroupId from UserGroup where UserGroupCode = 'VIEWERS'
select @viewer_role_id = UserRoleId from UserRole where UserRoleCode = 'READONLY_USER'

if not exists (select top 1 1 from UserGroupXUserRole where UserGroupId = @viewer_group_id and UserRoleId = @viewer_role_id)
begin
	insert into UserGroupXUserRole (UserGroupId, UserRoleId)
	values (@viewer_group_id, @viewer_role_id)
end

declare @guest_group_id int, @guest_role_id int

select @guest_group_id = UserGroupId from UserGroup where UserGroupCode = 'GUESTS'
select @guest_role_id = UserRoleId from UserRole where UserRoleCode = 'ANONYMOUS_USER'

if not exists (select top 1 1 from UserGroupXUserRole where UserGroupId = @guest_group_id and UserRoleId = @guest_role_id)
begin
	insert into UserGroupXUserRole (UserGroupId, UserRoleId)
	values (@guest_group_id, @guest_role_id)
end